1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
|
#!/bin/sh
#
# Copyright (C) 2017 Yann Pouillon <devops@materialsevolution.es>
# Stop at first error encountered
set -e
# Check that we are in the right directory
if test ! -s "./configure.ac" -o ! -s "src/fdf.F90"; then
echo "This is not a LibFDF source tree - aborting now"
exit 1
fi
# Create possibly missing directories
mkdir -p config/gnu config/m4
# Generate libtool scripts
echo "Generating libtool scripts..."
my_libtoolize="libtoolize"
${my_libtoolize} --version >/dev/null 2>&1
if test "${?}" != "0"; then
my_libtoolize="glibtoolize"
fi
${my_libtoolize} --version >/dev/null 2>&1
if test "${?}" != "0"; then
echo "Error: could not find a working version of libtoolize" >&2
exit 1
fi
${my_libtoolize} --automake --copy --force
echo "done."
# Generate M4 includes
echo "Generating aclocal.m4..."
aclocal -I config/m4
echo "done."
# Generate configure auxiliary files
echo "Generating config.h.in..."
autoheader
echo "done."
# Generate configure
echo "Generating configure script..."
autoconf
echo "done."
# Generate makefile inputs
# Do not use "automake --force-missing", as it overwrites the INSTALL file.
echo "Generating Makefile.in for each directory..."
automake --add-missing --copy
echo "done."
|